defmodule Pleroma.Web.Auth.MongooseIMAuthenticator do
  def implementation do
    Pleroma.Config.get(
      [Pleroma.Web.Auth.MongooseIMAuthenticator, :authenticator],
      Pleroma.Web.Auth.PleromaAuthenticator
    )
  end

  @callback user_exists?(String.t()) :: boolean()

  @spec user_exists?(String.t()) :: boolean()
  def user_exists?(username), do: implementation().user_exists?(username)

  @callback check_password(map()) :: boolean() | nil

  @spec check_password(map()) :: boolean() | nil
  def check_password(opts), do: implementation().check_password(opts)
end
